# QStyleOptionSpinBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionComplex.

### Constructor

- void QStyleOptionSpinBox()
- void QStyleOptionSpinBox(QStyleOptionSpinBox other)

### Constructor Properties

- prototype: The QStyleOptionSpinBox prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_SpinBox
- StyleOptionType( value )

### Instance Properties

QStyleOptionSpinBox objects have no special properties beyond those inherited from the QStyleOptionSpinBox prototype object.